### Hierarchy

- AudioNodeOptions
  - WaveShaperOptions

## Index

### Properties

- channelCount
- channelCountMode
- channelInterpretation
- curve
- oversample

## Properties

### Optional channelCount

channelCount: undefined | number

Inherited from AudioNodeOptions.channelCount

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:124

### Optional channelCountMode

channelCountMode: ChannelCountMode

Inherited from AudioNodeOptions.channelCountMode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:125

### Optional channelInterpretation

channelInterpretation: ChannelInterpretation

Inherited from AudioNodeOptions.channelInterpretation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:126

### Optional curve

curve: number[] | Float32Array

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1589

### Optional oversample

oversample: OverSampleType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1590

Generated using TypeDoc